Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
44.2.0.0
Broadcast address
44.2.127.255
First usable
44.2.0.1
Last usable
44.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C020000 · Integer 738328576 to 738361343
Reverse DNS zones
0.2.44.in-addr.arpa
1.2.44.in-addr.arpa
2.2.44.in-addr.arpa
3.2.44.in-addr.arpa
4.2.44.in-addr.arpa
5.2.44.in-addr.arpa
6.2.44.in-addr.arpa
7.2.44.in-addr.arpa
8.2.44.in-addr.arpa
9.2.44.in-addr.arpa
10.2.44.in-addr.arpa
11.2.44.in-addr.arpa
12.2.44.in-addr.arpa
13.2.44.in-addr.arpa
14.2.44.in-addr.arpa
15.2.44.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.00000010.00000000.0000000044.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00101100.00000010.00000000.0000000044.2.0.0
Broadcast00101100.00000010.01111111.1111111144.2.127.255
Split into smaller subnets/25

44.2.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.2.0.0/2544.2.0.1 to 44.2.0.12644.2.0.127126
244.2.0.128/2544.2.0.129 to 44.2.0.25444.2.0.255126
344.2.1.0/2544.2.1.1 to 44.2.1.12644.2.1.127126
444.2.1.128/2544.2.1.129 to 44.2.1.25444.2.1.255126
544.2.2.0/2544.2.2.1 to 44.2.2.12644.2.2.127126
644.2.2.128/2544.2.2.129 to 44.2.2.25444.2.2.255126
744.2.3.0/2544.2.3.1 to 44.2.3.12644.2.3.127126
844.2.3.128/2544.2.3.129 to 44.2.3.25444.2.3.255126
944.2.4.0/2544.2.4.1 to 44.2.4.12644.2.4.127126
1044.2.4.128/2544.2.4.129 to 44.2.4.25444.2.4.255126
1144.2.5.0/2544.2.5.1 to 44.2.5.12644.2.5.127126
1244.2.5.128/2544.2.5.129 to 44.2.5.25444.2.5.255126
1344.2.6.0/2544.2.6.1 to 44.2.6.12644.2.6.127126
1444.2.6.128/2544.2.6.129 to 44.2.6.25444.2.6.255126
1544.2.7.0/2544.2.7.1 to 44.2.7.12644.2.7.127126
1644.2.7.128/2544.2.7.129 to 44.2.7.25444.2.7.255126
1744.2.8.0/2544.2.8.1 to 44.2.8.12644.2.8.127126
1844.2.8.128/2544.2.8.129 to 44.2.8.25444.2.8.255126
1944.2.9.0/2544.2.9.1 to 44.2.9.12644.2.9.127126
2044.2.9.128/2544.2.9.129 to 44.2.9.25444.2.9.255126
2144.2.10.0/2544.2.10.1 to 44.2.10.12644.2.10.127126
2244.2.10.128/2544.2.10.129 to 44.2.10.25444.2.10.255126
2344.2.11.0/2544.2.11.1 to 44.2.11.12644.2.11.127126
2444.2.11.128/2544.2.11.129 to 44.2.11.25444.2.11.255126
2544.2.12.0/2544.2.12.1 to 44.2.12.12644.2.12.127126
2644.2.12.128/2544.2.12.129 to 44.2.12.25444.2.12.255126
2744.2.13.0/2544.2.13.1 to 44.2.13.12644.2.13.127126
2844.2.13.128/2544.2.13.129 to 44.2.13.25444.2.13.255126
2944.2.14.0/2544.2.14.1 to 44.2.14.12644.2.14.127126
3044.2.14.128/2544.2.14.129 to 44.2.14.25444.2.14.255126
3144.2.15.0/2544.2.15.1 to 44.2.15.12644.2.15.127126
3244.2.15.128/2544.2.15.129 to 44.2.15.25444.2.15.255126
3344.2.16.0/2544.2.16.1 to 44.2.16.12644.2.16.127126
3444.2.16.128/2544.2.16.129 to 44.2.16.25444.2.16.255126
3544.2.17.0/2544.2.17.1 to 44.2.17.12644.2.17.127126
3644.2.17.128/2544.2.17.129 to 44.2.17.25444.2.17.255126
3744.2.18.0/2544.2.18.1 to 44.2.18.12644.2.18.127126
3844.2.18.128/2544.2.18.129 to 44.2.18.25444.2.18.255126
3944.2.19.0/2544.2.19.1 to 44.2.19.12644.2.19.127126
4044.2.19.128/2544.2.19.129 to 44.2.19.25444.2.19.255126
4144.2.20.0/2544.2.20.1 to 44.2.20.12644.2.20.127126
4244.2.20.128/2544.2.20.129 to 44.2.20.25444.2.20.255126
4344.2.21.0/2544.2.21.1 to 44.2.21.12644.2.21.127126
4444.2.21.128/2544.2.21.129 to 44.2.21.25444.2.21.255126
4544.2.22.0/2544.2.22.1 to 44.2.22.12644.2.22.127126
4644.2.22.128/2544.2.22.129 to 44.2.22.25444.2.22.255126
4744.2.23.0/2544.2.23.1 to 44.2.23.12644.2.23.127126
4844.2.23.128/2544.2.23.129 to 44.2.23.25444.2.23.255126
4944.2.24.0/2544.2.24.1 to 44.2.24.12644.2.24.127126
5044.2.24.128/2544.2.24.129 to 44.2.24.25444.2.24.255126
5144.2.25.0/2544.2.25.1 to 44.2.25.12644.2.25.127126
5244.2.25.128/2544.2.25.129 to 44.2.25.25444.2.25.255126
5344.2.26.0/2544.2.26.1 to 44.2.26.12644.2.26.127126
5444.2.26.128/2544.2.26.129 to 44.2.26.25444.2.26.255126
5544.2.27.0/2544.2.27.1 to 44.2.27.12644.2.27.127126
5644.2.27.128/2544.2.27.129 to 44.2.27.25444.2.27.255126
5744.2.28.0/2544.2.28.1 to 44.2.28.12644.2.28.127126
5844.2.28.128/2544.2.28.129 to 44.2.28.25444.2.28.255126
5944.2.29.0/2544.2.29.1 to 44.2.29.12644.2.29.127126
6044.2.29.128/2544.2.29.129 to 44.2.29.25444.2.29.255126
6144.2.30.0/2544.2.30.1 to 44.2.30.12644.2.30.127126
6244.2.30.128/2544.2.30.129 to 44.2.30.25444.2.30.255126
6344.2.31.0/2544.2.31.1 to 44.2.31.12644.2.31.127126
6444.2.31.128/2544.2.31.129 to 44.2.31.25444.2.31.255126
6544.2.32.0/2544.2.32.1 to 44.2.32.12644.2.32.127126
6644.2.32.128/2544.2.32.129 to 44.2.32.25444.2.32.255126
6744.2.33.0/2544.2.33.1 to 44.2.33.12644.2.33.127126
6844.2.33.128/2544.2.33.129 to 44.2.33.25444.2.33.255126
6944.2.34.0/2544.2.34.1 to 44.2.34.12644.2.34.127126
7044.2.34.128/2544.2.34.129 to 44.2.34.25444.2.34.255126
7144.2.35.0/2544.2.35.1 to 44.2.35.12644.2.35.127126
7244.2.35.128/2544.2.35.129 to 44.2.35.25444.2.35.255126
7344.2.36.0/2544.2.36.1 to 44.2.36.12644.2.36.127126
7444.2.36.128/2544.2.36.129 to 44.2.36.25444.2.36.255126
7544.2.37.0/2544.2.37.1 to 44.2.37.12644.2.37.127126
7644.2.37.128/2544.2.37.129 to 44.2.37.25444.2.37.255126
7744.2.38.0/2544.2.38.1 to 44.2.38.12644.2.38.127126
7844.2.38.128/2544.2.38.129 to 44.2.38.25444.2.38.255126
7944.2.39.0/2544.2.39.1 to 44.2.39.12644.2.39.127126
8044.2.39.128/2544.2.39.129 to 44.2.39.25444.2.39.255126
8144.2.40.0/2544.2.40.1 to 44.2.40.12644.2.40.127126
8244.2.40.128/2544.2.40.129 to 44.2.40.25444.2.40.255126
8344.2.41.0/2544.2.41.1 to 44.2.41.12644.2.41.127126
8444.2.41.128/2544.2.41.129 to 44.2.41.25444.2.41.255126
8544.2.42.0/2544.2.42.1 to 44.2.42.12644.2.42.127126
8644.2.42.128/2544.2.42.129 to 44.2.42.25444.2.42.255126
8744.2.43.0/2544.2.43.1 to 44.2.43.12644.2.43.127126
8844.2.43.128/2544.2.43.129 to 44.2.43.25444.2.43.255126
8944.2.44.0/2544.2.44.1 to 44.2.44.12644.2.44.127126
9044.2.44.128/2544.2.44.129 to 44.2.44.25444.2.44.255126
9144.2.45.0/2544.2.45.1 to 44.2.45.12644.2.45.127126
9244.2.45.128/2544.2.45.129 to 44.2.45.25444.2.45.255126
9344.2.46.0/2544.2.46.1 to 44.2.46.12644.2.46.127126
9444.2.46.128/2544.2.46.129 to 44.2.46.25444.2.46.255126
9544.2.47.0/2544.2.47.1 to 44.2.47.12644.2.47.127126
9644.2.47.128/2544.2.47.129 to 44.2.47.25444.2.47.255126
9744.2.48.0/2544.2.48.1 to 44.2.48.12644.2.48.127126
9844.2.48.128/2544.2.48.129 to 44.2.48.25444.2.48.255126
9944.2.49.0/2544.2.49.1 to 44.2.49.12644.2.49.127126
10044.2.49.128/2544.2.49.129 to 44.2.49.25444.2.49.255126
10144.2.50.0/2544.2.50.1 to 44.2.50.12644.2.50.127126
10244.2.50.128/2544.2.50.129 to 44.2.50.25444.2.50.255126
10344.2.51.0/2544.2.51.1 to 44.2.51.12644.2.51.127126
10444.2.51.128/2544.2.51.129 to 44.2.51.25444.2.51.255126
10544.2.52.0/2544.2.52.1 to 44.2.52.12644.2.52.127126
10644.2.52.128/2544.2.52.129 to 44.2.52.25444.2.52.255126
10744.2.53.0/2544.2.53.1 to 44.2.53.12644.2.53.127126
10844.2.53.128/2544.2.53.129 to 44.2.53.25444.2.53.255126
10944.2.54.0/2544.2.54.1 to 44.2.54.12644.2.54.127126
11044.2.54.128/2544.2.54.129 to 44.2.54.25444.2.54.255126
11144.2.55.0/2544.2.55.1 to 44.2.55.12644.2.55.127126
11244.2.55.128/2544.2.55.129 to 44.2.55.25444.2.55.255126
11344.2.56.0/2544.2.56.1 to 44.2.56.12644.2.56.127126
11444.2.56.128/2544.2.56.129 to 44.2.56.25444.2.56.255126
11544.2.57.0/2544.2.57.1 to 44.2.57.12644.2.57.127126
11644.2.57.128/2544.2.57.129 to 44.2.57.25444.2.57.255126
11744.2.58.0/2544.2.58.1 to 44.2.58.12644.2.58.127126
11844.2.58.128/2544.2.58.129 to 44.2.58.25444.2.58.255126
11944.2.59.0/2544.2.59.1 to 44.2.59.12644.2.59.127126
12044.2.59.128/2544.2.59.129 to 44.2.59.25444.2.59.255126
12144.2.60.0/2544.2.60.1 to 44.2.60.12644.2.60.127126
12244.2.60.128/2544.2.60.129 to 44.2.60.25444.2.60.255126
12344.2.61.0/2544.2.61.1 to 44.2.61.12644.2.61.127126
12444.2.61.128/2544.2.61.129 to 44.2.61.25444.2.61.255126
12544.2.62.0/2544.2.62.1 to 44.2.62.12644.2.62.127126
12644.2.62.128/2544.2.62.129 to 44.2.62.25444.2.62.255126
12744.2.63.0/2544.2.63.1 to 44.2.63.12644.2.63.127126
12844.2.63.128/2544.2.63.129 to 44.2.63.25444.2.63.255126
12944.2.64.0/2544.2.64.1 to 44.2.64.12644.2.64.127126
13044.2.64.128/2544.2.64.129 to 44.2.64.25444.2.64.255126
13144.2.65.0/2544.2.65.1 to 44.2.65.12644.2.65.127126
13244.2.65.128/2544.2.65.129 to 44.2.65.25444.2.65.255126
13344.2.66.0/2544.2.66.1 to 44.2.66.12644.2.66.127126
13444.2.66.128/2544.2.66.129 to 44.2.66.25444.2.66.255126
13544.2.67.0/2544.2.67.1 to 44.2.67.12644.2.67.127126
13644.2.67.128/2544.2.67.129 to 44.2.67.25444.2.67.255126
13744.2.68.0/2544.2.68.1 to 44.2.68.12644.2.68.127126
13844.2.68.128/2544.2.68.129 to 44.2.68.25444.2.68.255126
13944.2.69.0/2544.2.69.1 to 44.2.69.12644.2.69.127126
14044.2.69.128/2544.2.69.129 to 44.2.69.25444.2.69.255126
14144.2.70.0/2544.2.70.1 to 44.2.70.12644.2.70.127126
14244.2.70.128/2544.2.70.129 to 44.2.70.25444.2.70.255126
14344.2.71.0/2544.2.71.1 to 44.2.71.12644.2.71.127126
14444.2.71.128/2544.2.71.129 to 44.2.71.25444.2.71.255126
14544.2.72.0/2544.2.72.1 to 44.2.72.12644.2.72.127126
14644.2.72.128/2544.2.72.129 to 44.2.72.25444.2.72.255126
14744.2.73.0/2544.2.73.1 to 44.2.73.12644.2.73.127126
14844.2.73.128/2544.2.73.129 to 44.2.73.25444.2.73.255126
14944.2.74.0/2544.2.74.1 to 44.2.74.12644.2.74.127126
15044.2.74.128/2544.2.74.129 to 44.2.74.25444.2.74.255126
15144.2.75.0/2544.2.75.1 to 44.2.75.12644.2.75.127126
15244.2.75.128/2544.2.75.129 to 44.2.75.25444.2.75.255126
15344.2.76.0/2544.2.76.1 to 44.2.76.12644.2.76.127126
15444.2.76.128/2544.2.76.129 to 44.2.76.25444.2.76.255126
15544.2.77.0/2544.2.77.1 to 44.2.77.12644.2.77.127126
15644.2.77.128/2544.2.77.129 to 44.2.77.25444.2.77.255126
15744.2.78.0/2544.2.78.1 to 44.2.78.12644.2.78.127126
15844.2.78.128/2544.2.78.129 to 44.2.78.25444.2.78.255126
15944.2.79.0/2544.2.79.1 to 44.2.79.12644.2.79.127126
16044.2.79.128/2544.2.79.129 to 44.2.79.25444.2.79.255126
16144.2.80.0/2544.2.80.1 to 44.2.80.12644.2.80.127126
16244.2.80.128/2544.2.80.129 to 44.2.80.25444.2.80.255126
16344.2.81.0/2544.2.81.1 to 44.2.81.12644.2.81.127126
16444.2.81.128/2544.2.81.129 to 44.2.81.25444.2.81.255126
16544.2.82.0/2544.2.82.1 to 44.2.82.12644.2.82.127126
16644.2.82.128/2544.2.82.129 to 44.2.82.25444.2.82.255126
16744.2.83.0/2544.2.83.1 to 44.2.83.12644.2.83.127126
16844.2.83.128/2544.2.83.129 to 44.2.83.25444.2.83.255126
16944.2.84.0/2544.2.84.1 to 44.2.84.12644.2.84.127126
17044.2.84.128/2544.2.84.129 to 44.2.84.25444.2.84.255126
17144.2.85.0/2544.2.85.1 to 44.2.85.12644.2.85.127126
17244.2.85.128/2544.2.85.129 to 44.2.85.25444.2.85.255126
17344.2.86.0/2544.2.86.1 to 44.2.86.12644.2.86.127126
17444.2.86.128/2544.2.86.129 to 44.2.86.25444.2.86.255126
17544.2.87.0/2544.2.87.1 to 44.2.87.12644.2.87.127126
17644.2.87.128/2544.2.87.129 to 44.2.87.25444.2.87.255126
17744.2.88.0/2544.2.88.1 to 44.2.88.12644.2.88.127126
17844.2.88.128/2544.2.88.129 to 44.2.88.25444.2.88.255126
17944.2.89.0/2544.2.89.1 to 44.2.89.12644.2.89.127126
18044.2.89.128/2544.2.89.129 to 44.2.89.25444.2.89.255126
18144.2.90.0/2544.2.90.1 to 44.2.90.12644.2.90.127126
18244.2.90.128/2544.2.90.129 to 44.2.90.25444.2.90.255126
18344.2.91.0/2544.2.91.1 to 44.2.91.12644.2.91.127126
18444.2.91.128/2544.2.91.129 to 44.2.91.25444.2.91.255126
18544.2.92.0/2544.2.92.1 to 44.2.92.12644.2.92.127126
18644.2.92.128/2544.2.92.129 to 44.2.92.25444.2.92.255126
18744.2.93.0/2544.2.93.1 to 44.2.93.12644.2.93.127126
18844.2.93.128/2544.2.93.129 to 44.2.93.25444.2.93.255126
18944.2.94.0/2544.2.94.1 to 44.2.94.12644.2.94.127126
19044.2.94.128/2544.2.94.129 to 44.2.94.25444.2.94.255126
19144.2.95.0/2544.2.95.1 to 44.2.95.12644.2.95.127126
19244.2.95.128/2544.2.95.129 to 44.2.95.25444.2.95.255126
19344.2.96.0/2544.2.96.1 to 44.2.96.12644.2.96.127126
19444.2.96.128/2544.2.96.129 to 44.2.96.25444.2.96.255126
19544.2.97.0/2544.2.97.1 to 44.2.97.12644.2.97.127126
19644.2.97.128/2544.2.97.129 to 44.2.97.25444.2.97.255126
19744.2.98.0/2544.2.98.1 to 44.2.98.12644.2.98.127126
19844.2.98.128/2544.2.98.129 to 44.2.98.25444.2.98.255126
19944.2.99.0/2544.2.99.1 to 44.2.99.12644.2.99.127126
20044.2.99.128/2544.2.99.129 to 44.2.99.25444.2.99.255126
20144.2.100.0/2544.2.100.1 to 44.2.100.12644.2.100.127126
20244.2.100.128/2544.2.100.129 to 44.2.100.25444.2.100.255126
20344.2.101.0/2544.2.101.1 to 44.2.101.12644.2.101.127126
20444.2.101.128/2544.2.101.129 to 44.2.101.25444.2.101.255126
20544.2.102.0/2544.2.102.1 to 44.2.102.12644.2.102.127126
20644.2.102.128/2544.2.102.129 to 44.2.102.25444.2.102.255126
20744.2.103.0/2544.2.103.1 to 44.2.103.12644.2.103.127126
20844.2.103.128/2544.2.103.129 to 44.2.103.25444.2.103.255126
20944.2.104.0/2544.2.104.1 to 44.2.104.12644.2.104.127126
21044.2.104.128/2544.2.104.129 to 44.2.104.25444.2.104.255126
21144.2.105.0/2544.2.105.1 to 44.2.105.12644.2.105.127126
21244.2.105.128/2544.2.105.129 to 44.2.105.25444.2.105.255126
21344.2.106.0/2544.2.106.1 to 44.2.106.12644.2.106.127126
21444.2.106.128/2544.2.106.129 to 44.2.106.25444.2.106.255126
21544.2.107.0/2544.2.107.1 to 44.2.107.12644.2.107.127126
21644.2.107.128/2544.2.107.129 to 44.2.107.25444.2.107.255126
21744.2.108.0/2544.2.108.1 to 44.2.108.12644.2.108.127126
21844.2.108.128/2544.2.108.129 to 44.2.108.25444.2.108.255126
21944.2.109.0/2544.2.109.1 to 44.2.109.12644.2.109.127126
22044.2.109.128/2544.2.109.129 to 44.2.109.25444.2.109.255126
22144.2.110.0/2544.2.110.1 to 44.2.110.12644.2.110.127126
22244.2.110.128/2544.2.110.129 to 44.2.110.25444.2.110.255126
22344.2.111.0/2544.2.111.1 to 44.2.111.12644.2.111.127126
22444.2.111.128/2544.2.111.129 to 44.2.111.25444.2.111.255126
22544.2.112.0/2544.2.112.1 to 44.2.112.12644.2.112.127126
22644.2.112.128/2544.2.112.129 to 44.2.112.25444.2.112.255126
22744.2.113.0/2544.2.113.1 to 44.2.113.12644.2.113.127126
22844.2.113.128/2544.2.113.129 to 44.2.113.25444.2.113.255126
22944.2.114.0/2544.2.114.1 to 44.2.114.12644.2.114.127126
23044.2.114.128/2544.2.114.129 to 44.2.114.25444.2.114.255126
23144.2.115.0/2544.2.115.1 to 44.2.115.12644.2.115.127126
23244.2.115.128/2544.2.115.129 to 44.2.115.25444.2.115.255126
23344.2.116.0/2544.2.116.1 to 44.2.116.12644.2.116.127126
23444.2.116.128/2544.2.116.129 to 44.2.116.25444.2.116.255126
23544.2.117.0/2544.2.117.1 to 44.2.117.12644.2.117.127126
23644.2.117.128/2544.2.117.129 to 44.2.117.25444.2.117.255126
23744.2.118.0/2544.2.118.1 to 44.2.118.12644.2.118.127126
23844.2.118.128/2544.2.118.129 to 44.2.118.25444.2.118.255126
23944.2.119.0/2544.2.119.1 to 44.2.119.12644.2.119.127126
24044.2.119.128/2544.2.119.129 to 44.2.119.25444.2.119.255126
24144.2.120.0/2544.2.120.1 to 44.2.120.12644.2.120.127126
24244.2.120.128/2544.2.120.129 to 44.2.120.25444.2.120.255126
24344.2.121.0/2544.2.121.1 to 44.2.121.12644.2.121.127126
24444.2.121.128/2544.2.121.129 to 44.2.121.25444.2.121.255126
24544.2.122.0/2544.2.122.1 to 44.2.122.12644.2.122.127126
24644.2.122.128/2544.2.122.129 to 44.2.122.25444.2.122.255126
24744.2.123.0/2544.2.123.1 to 44.2.123.12644.2.123.127126
24844.2.123.128/2544.2.123.129 to 44.2.123.25444.2.123.255126
24944.2.124.0/2544.2.124.1 to 44.2.124.12644.2.124.127126
25044.2.124.128/2544.2.124.129 to 44.2.124.25444.2.124.255126
25144.2.125.0/2544.2.125.1 to 44.2.125.12644.2.125.127126
25244.2.125.128/2544.2.125.129 to 44.2.125.25444.2.125.255126
25344.2.126.0/2544.2.126.1 to 44.2.126.12644.2.126.127126
25444.2.126.128/2544.2.126.129 to 44.2.126.25444.2.126.255126
25544.2.127.0/2544.2.127.1 to 44.2.127.12644.2.127.127126
25644.2.127.128/2544.2.127.129 to 44.2.127.25444.2.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses